main()
{
	setCullFog (0, 4000, .32, .36, .40, 0);
	ambientPlay("ambient_arkov");
	
	maps\mp\_load::main();
	maps\mp\arkov_sounds::main();
	maps\mp\arkov_fx::main();
	game["layoutimage"] = "arkov";

	// Fire on the barrel 
	level._effect["fire"] = loadfx ("fx/fire/BarrelFire.efx");
	maps\mp\_fx::loopfx("fire", (492, 4186, 416), 0.6);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (492, 4186, 416), 0.7);

	
	//fire on second barrel
	level._effect["fire"] = loadfx ("fx/fire/BarrelFire.efx");
	maps\mp\_fx::loopfx("fire", (-60, -246, 72), 0.6);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-60, -246, 72), 0.7);

	//Smoke on destroyed tank
	level._effect["smoke2"] = loadfx("fx/smoke/neuville_smoke1.efx");
	maps\mp\_fx::loopfx("smoke2", (192, -1088, 136), 0.4);

	//Smoke on chimney
	maps\mp\_fx::loopfx("smoke", (-798, -896, 468), 0.7);

	//Fire in fireplace
	maps\mp\_fx::loopfx("fire", (-798, -896, 110), 0.6);

	
	game["allies"] = "russian";
	game["axis"] = "german";

	game["russian_soldiertype"] = "conscript";
	game["russian_soldiervariation"] = "winter";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "winter";

	
	//Search and Destroy Teams
	game["attackers"] = "axis";
	game["defenders"] = "allies";

	

	//retrieval settings 
	level.obj["1"] = (&"RE_OBJ_CODE_BOOK"); 
	game["re_attackers"] = "allies"; 
	game["re_defenders"] = "axis"; 
	game["re_attackers_obj_text"] = ("Retrieve the Code Book (Yellow Star) and take it to the Allied Rally Point (Blue Box)"); 
	game["re_defenders_obj_text"] = ("Prevent the Code Book (Yellow Star) from being taken to the Allied Rally Point (Blue Box)"); 
	game["re_spectator_obj_text"] = ("Allies: Capture the Code Book\nAxis: Defend the Code Book"); 
	game["re_attackers_intro_text"] = ("Capture the Code Book (Yellow Star) and take it to the Allied Rally Point (Blue Box)"); 
	game["re_defenders_intro_text"] = ("Defend the Code Book (Yellow Star) from the Allies. Keep the Field Radio from getting to the Allied Rally Point (Blue Box)");

}
